package com.monica.interfaces;

/** Provides functionality to compare Objects.
*/
public interface Equality {

  /** Returns wether the two specified Obejcts o1 and o2 are equal according to 
      the implemented criteria.
      @param Object o1: the first Object
      @param Object o2: the second Object
      @return boolean: wether o1 and o2 are equal
  */      
  public boolean equalsTo(Object o1, Object o2);

}