package com.monica.interfaces;

import com.monica.interfaces.*;

/** Interface for providing the main functionality of a middle level layer in the
    TM layer hierarchy.
*/    
public interface MiddleLevelLayer extends LayerTopView, LayerBottomView, Configureable {

  /** Returns the internal name of the MiddleLevelLayer.
      @return String: the internal name of the MiddleLevelLayer
  */      
  public String getMiddleLevelLayerName();
  
  /** Returns the internal version of the MiddleLevelLayer.
      @return String: the internal version of the MiddleLevelLayer
  */      
  public String getMiddleLevelLayerVersion();
}    