package com.monica.javacom.application;

import com.monica.interfaces.*;
import com.monica.util.configuration.*;
import com.monica.util.hash.*;
import com.monica.util.*;

import java.util.*;
import java.io.*;

public class SSH2UserManager {

    public static void main(String[] args) {
        
        try {
        
            if (args.length<3) {
                System.out.println("Usage confFile userName passWord");
                System.exit(-1);
            }
        
            Configuration conf=new FileConfiguration(args[0]);
            HashAlgorithm hash=new SHA1();
            String userName=args[1];
            String password=args[2];
            String hPassword=hash.hash(password);
            conf.set(userName, IO.print(hPassword));
            FileOutputStream fos=new FileOutputStream(args[0]);
            conf.save(fos);
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        
    }
}
