package com.monica.javacom.ssh2.interfaces;

import com.monica.interfaces.*;
import com.monica.javacom.ssh2.*;

public interface SSH2UserAuthenticationLayerFactory extends Configureable {

  public String getUserAuthenticationLayerFactoryName();
  public String getUserAuthenticationLayerFactoryVersion();
  
  public SSH2UserAuthenticationLayer getUserAuthenticationLayer() throws Exception;
  public SSH2UserAuthenticationLayer getUserAuthenticationLayer(Object param) throws Exception;
  public void setFacade(SSH2Facade facade);
  public String getUserAuthenticationMethodName();
}

