package com.monica.javacom.virtualdisplay;

/** This class holds public constants for rendering special characters by
    any renderer for VirtualDisplays. 
*/    
public class VirtualDisplayConstants {

  /** Horizontal line */
  public static final int HORIZ_LINE=0;
  
  /** Vertical line */
  public static final int VERT_LINE=1;
  
  /** Upper left corner */
  public static final int UL_CORNER=2;
  
  /** Upper right corner */
  public static final int UR_CORNER=3;
  
  /** Lower left corner */
  public static final int LL_CORNER=4;
  
  /** Lower right corner */
  public static final int LR_CORNER=5;
  
  /** Bottom horizontal line with vertical line in the middle */
  public static final int VERT_HORIZ_BOTTOM=6;
  
  /** Top horizontal line with vertical line in the middle */
  public static final int VERT_HORIZ_TOP=7;
  
  /** Left vertical line with horizontal line in the middle */
  public static final int HORIZ_VERT_LEFT=8;
  
  /** Right vertical line with horizontal line in the middle */
  public static final int HORIZ_VERT_RIGHT=9;
  
  /** Cross */
  public static final int CROSS=10;

}