package com.monica.util;

import com.monica.interfaces.*;

/** Provides the functionality to compare Integers upon theis intValue.
*/
public class IntegerEquality implements Equality {

  private static final String intName="java.lang.Integer";

  /** Returns true only then if both o1 and o2 are Integers and their intValue is the same.
      @param Object o1: the first Object
      @param Object o2: the second Object
      @return boolean: true if both o1 and o2 are Integers and their intValue are the same
  */      
  public boolean equalsTo(Object o1, Object o2) {
    if ((o1.getClass().getName().equals(intName)) && (o2.getClass().getName().equals(intName))) {
      if (((Integer)o1).intValue()==((Integer)o2).intValue()) return true; 
        else return false;
    }
    return (o1.equals(o2));
  }
}