package com.monica.util.ccdm.dss;

import com.monica.util.ccdm.dss.*;

import java.math.*;

/** This class holds common parts of a DSS key. See DSS at FIPS 186-2 */

public class DSS_common {
    
    /** p parameter of the common part from a DSS key. */
    public BigInteger p;
    
    /** q parameter of the common part from a DSS key. */
    public BigInteger q;
    
    /** g parameter of the common part from a DSS key. */
    public BigInteger g;
}