package com.monica.util.ccdm.rsa;

import com.monica.util.ccdm.*;

import java.math.*;

public class CCDRSAPublicKey extends CCDRSAKey implements CCDPublicKey {
    
    private static final String TYPE="RSAPublicKey";
    
    public CCDRSAPublicKey() {
    }
    
    public CCDRSAPublicKey(BigInteger in_modulus, BigInteger in_exponent, CCDOwner o) throws CCDException {	    
        super(in_modulus, in_exponent, o);
    }
    
    public String getKeyType() {
        return TYPE;
    }
    
}
