package com.monica.interfaces;

import com.monica.interfaces.*;

/** Class for implementing the Observer part of the Observer-Observed design pattern.
 */

public interface Observer {    
    
    /** This method is invoked when an Observed notifies the Observer.
     *  @param Observerd object: the Observed object that wants to notify this Observer
     */
    public void observerNotify(Observed object);
}

