package com.monica.javacom.ssh2.interfaces;

import com.monica.javacom.ssh2.interfaces.*;
import com.monica.javacom.ssh2.*;
import com.monica.interfaces.*;

public interface SSH2ConnectionLayerFactory extends Configureable {

  public String getConnectionLayerFactoryName();
  public String getConnectionLayerFactoryVersion();
  
  public SSH2ConnectionLayer getConnectionLayer(Object param) throws Exception;
  public SSH2ConnectionLayer getConnectionLayer() throws Exception;
  public void setFacade(SSH2Facade facade);
}    

