package com.monica.javacom.ssh2.interfaces;

import com.monica.interfaces.*;
import com.monica.javacom.ssh2.*;

public interface SSH2Layer extends Configureable, Closeable {

  /** Sets the runtime parameter for this user authentication layer.
      @param Object o: the runtime parameter
  */
  public void setParam(Object o) throws Exception;

  public void setTokenizer(SSH2Tokenizer tokenizer);
  public SSH2Tokenizer getTokenizer();
  public void setSide(int side);
  public int getSide();
  public void setOwner(SSH2BothSideFeatures owner);
  public SSH2BothSideFeatures getOwner();
  
  public String getInformation(int opt);
  
}
