package com.monica.util.ccdm;

import com.monica.util.*;

/** Exception class for the CCD Management. */

public class CCDException extends Exception implements ExceptionHolder {
    
    private Exception myException;
    
    /** Creates a new instance of CCDException */
    public CCDException() {
    }
    
    /** Creates a new instance of CCDException.
     *  @param String s: the message of the Exception
     */
    public CCDException(String s) {
        super(s);
    }
    
    /** Creates a new instance of CCDException holding another Exception.
     *  @param Exception e: the other Exception
     */
    public CCDException(Exception e) {
        myException=e;
    }
    
    public Exception getException() {
        return myException;
    }
    
    public void setException(Exception e) {
        myException=e;
    }
    
}
