package com.monica.util.ccdm;

/** This interface represents the owner of a common cryptographic data (CCD) 
 */

public interface CCDOwner {
    
    /** Returns the Distinguished Name.
     *  @return String: the Distinguised Name
     */
    public String getDN();
    
    /** Returns the Unique Identified.
     *  @return String: the Unique Identified
     */
    public String getUID();
    
    /** Returns the Common Name.
     *  @return String: the Common Name
     */
    public String getCN();
    
}
