package com.monica.util.ccdm.rsa;

import com.monica.util.ccdm.*;

import java.math.*;

public class CCDRSAPrivateKey extends CCDRSAKey implements CCDPrivateKey {
    
    private static final String TYPE="RSAPrivateKey";
    
    public CCDRSAPrivateKey() {
    }
    
    public CCDRSAPrivateKey(BigInteger in_modulus, BigInteger in_exponent, CCDOwner o) throws CCDException {	    
        super(in_modulus, in_exponent, o);
    }
    
    public String getKeyType() {
        return TYPE;
    }
    
}
