package com.monica.util.debug;

import com.monica.interfaces.*;

/** Interface for abstracting the stdOut and stdErr channels. */

public interface DebugOutput extends Configureable {
    
    /** Log a message to the standard out channel.
     *  @param String line: one line to be written out to the standard out channel
     */    
    public void logOut(String line);

    /** Log a message to the standard err channel.
     *  @param String line: one line to be written out to the standard err channel
     */        
    public void logErr(String line);
        
}
