package com.monica.util.debug;

import com.monica.interfaces.*;

/** Logs messages to System.out and System.err. */
public class SimpleDebug implements DebugOutput {
    
    private Configuration conf;
    
    public void logOut(String line) {
        System.out.println(line);
    }
        
    public void logErr(String line) {
        System.err.println(line);
    }
    
    public void setConfiguration(Configuration configuration) {
        conf=configuration;
    }
        
    public Configuration getConfiguration() {
        return conf;
    }
    
}
